<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: otMacWhitelistEntry Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d5/d3b/structotMacWhitelistEntry.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../db/dbd/structotMacWhitelistEntry-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">otMacWhitelistEntry Struct Reference<div class="ingroups"><a class="el" href="../../d0/d2d/group__api.html">API</a> &raquo; <a class="el" href="../../d1/d44/group__config.html">Configuration</a> &raquo; <a class="el" href="../../db/d57/group__config-test.html">Test</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This structure represents a whitelist entry.  
 <a href="../../d5/d3b/structotMacWhitelistEntry.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">include/openthread-types.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for otMacWhitelistEntry:</div>
<div class="dyncontent">
<div class="center"><img src="../../dd/df0/structotMacWhitelistEntry__coll__graph.png" border="0" usemap="#otMacWhitelistEntry_coll__map" alt="Collaboration graph"/></div>
<map name="otMacWhitelistEntry_coll__map" id="otMacWhitelistEntry_coll__map">
<area shape="rect" id="node2" href="../../d3/d8f/structotExtAddress.html" title="This type represents the IEEE 802.15.4 Extended Address. " alt="" coords="25,5,125,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a2bc3852ce9184241c089138204acc322"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2bc3852ce9184241c089138204acc322"></a>
<a class="el" href="../../d3/d8f/structotExtAddress.html">otExtAddress</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html#a2bc3852ce9184241c089138204acc322">mExtAddress</a></td></tr>
<tr class="memdesc:a2bc3852ce9184241c089138204acc322"><td class="mdescLeft">&#160;</td><td class="mdescRight">IEEE 802.15.4 Extended Address. <br /></td></tr>
<tr class="separator:a2bc3852ce9184241c089138204acc322"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a216d99138fd4fcb4db8f30f5c0bd2062"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a216d99138fd4fcb4db8f30f5c0bd2062"></a>
int8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html#a216d99138fd4fcb4db8f30f5c0bd2062">mRssi</a></td></tr>
<tr class="memdesc:a216d99138fd4fcb4db8f30f5c0bd2062"><td class="mdescLeft">&#160;</td><td class="mdescRight">RSSI value. <br /></td></tr>
<tr class="separator:a216d99138fd4fcb4db8f30f5c0bd2062"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31ba2b9e5b18df5f8732e382b3df78b2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a31ba2b9e5b18df5f8732e382b3df78b2"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html#a31ba2b9e5b18df5f8732e382b3df78b2">mValid</a>: 1</td></tr>
<tr class="memdesc:a31ba2b9e5b18df5f8732e382b3df78b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether or not the whitelist entry is valid. <br /></td></tr>
<tr class="separator:a31ba2b9e5b18df5f8732e382b3df78b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7db22ee96c833cedd1ab7f639a1f5d96"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7db22ee96c833cedd1ab7f639a1f5d96"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html#a7db22ee96c833cedd1ab7f639a1f5d96">mFixedRssi</a>: 1</td></tr>
<tr class="memdesc:a7db22ee96c833cedd1ab7f639a1f5d96"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether or not the RSSI value is fixed. <br /></td></tr>
<tr class="separator:a7db22ee96c833cedd1ab7f639a1f5d96"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This structure represents a whitelist entry. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/d3b/structotMacWhitelistEntry.html">otMacWhitelistEntry</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
